﻿using Silanis.ESL.SDK;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace FeatureGuideCharp
{
    class _8_22
    {

        public void AddFieldValidator()
        {
            String API_KEY = "your api key";
            String API_URL = "https://sandbox.esignlive.com/api";
            String packageID = "hc9uK77Y4KAprPprf4SlVc2H6A0=";
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            DocumentPackage package = eslClient.GetPackage(new PackageId(packageID));
            Document document = package.Documents[1];
            Signature signature = document.Signatures[0];
            Field fieldToModify = signature.Fields[0];


            FieldValidator fieldValidator = new FieldValidator();
            fieldValidator.Regex = "^(\\d{3}-?\\d{2}-?\\d{4}|XXX-XX-XXXX)$";
            fieldValidator.Message = "wrong";
            fieldValidator.Required = true;
            fieldValidator.MaxLength = 11;
            fieldValidator.MinLength = 9;
            fieldToModify.Validator = fieldValidator;
            eslClient.ApprovalService.ModifyField(new PackageId(packageID), document.Id, signature.Id,fieldToModify);

            
        }

    }
}
